## lltdscan 0%2B20180223

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: zed-0xff
Project: lltdscan
Update-Script: uupdate

## lltdscan 0+20180223

=== Makefile ===
TARGETS=lltdscan

CD=cd
CP=cp
TAR=tar
GPG=gpg
MAKE=make
RM=rm
SUDO=sudo

CC=gcc
# explicit pcap include dir is for redhat which is fux0red
CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap -L/opt/csw/lib -R/opt/csw/lib

CFLAGS2=-g -I/usr/local/include -I/usr/local/include/libnet-1.1 -I/usr/include/pcap -I/usr/local/include/libnet11
LDFLAGS2=-g -L/usr/local/lib -L/usr/local/lib/libnet-1.1 -L/opt/csw/lib -L/usr/local/lib/libnet11 -L/usr/local/lib/libnet113

all: lltdscan

doc: arping.yodl
	yodl2man -o arping.8 arping.yodl

install:
	install -c lltdscan /usr/local/bin/lltdscan
	install lltdscan.8 /usr/local/man/man8/lltdscan.8

SYS=$(shell uname -s)
ifeq ($(SYS),SunOS)
EXTRA_LIBS=-lsocket -lnsl
endif

lltdscan: lltdscan.c lltd.c
	$(CC) $(CFLAGS2) $(LDFLAGS2) -o lltdscan lltdscan.c -lnet -lpcap -lrt $(EXTRA_LIBS)

clean:
	rm -f *.o $(TARGETS)

distclean: clean
	rm -f config{.cache,.h,.log,.status}

V=$(shell grep version arping-2/arping.c|grep const|sed 's:[a-z =]*::;s:f;::')
DFILE=arping-$(V).tar.gz
DDIR=arping-$(V)
dist:
	($(CD) ..; \
	$(CP) -ax arping $(DDIR); \
	$(RM) -fr $(DDIR)/{.\#*,CVS,.svn,*~} \
		$(DDIR)/arping-2/{.\#*,CVS,.svn,*~}; \
	$(MAKE) -C $(DDIR) doc; \
	$(TAR) cfz $(DFILE) $(DDIR); \
	$(GPG) -b -a $(DFILE); \
	)

maintainerclean: distclean
	rm -f config{.h.in,ure}

=== debian/changelog ===
lltdscan (0+20180223-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Bump debhelper version to 13.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 16 Jun 2024 22:16:48 +0000

lltdscan (0+20180223-1) unstable; urgency=medium

  * Initial release. (Closes: #922374)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Feb 2018 13:48:33 +0100

=== debian/control ===
Source: lltdscan
Section: net
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libnet1-dev, libpcap-dev
Standards-Version: 4.7.0
Homepage: http://zed.0xff.me/lltd

Package: lltdscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scan for LLTD-enabled hosts on your network
 LLTD is a Link Layer Topology Discovery Protocol.
 protocol specs are available from Microsoft at 
 http://www.microsoft.com/whdc/connect/Rally/LLTD-spec.mspx

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/zed-0xff/lltdscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
